Creates a new booking for an event invitee. Use this endpoint to book an invitee directly from your app without redirects, iframes, or Calendly-hosted UI. Standard notifications, calendar invites, reschedules, and workflows run as if booked via the scheduling page.
curl --request POST \
--url https://api.calendly.com/invitees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"invitee": {
"email": "jsmith@example.com",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timezone": "<string>"
},
"custom_questions": [
{}
],
"location": {},
"tracking": {}
}
'{
"resource": {
"uri": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"name": "<string>",
"status": "active",
"timezone": "<string>",
"event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tracking": {
"utm_campaign": "<string>",
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_content": "<string>",
"utm_term": "<string>",
"salesforce_uuid": "<string>"
},
"text_reminder_number": "<string>",
"rescheduled": true,
"old_invitee": "<string>",
"new_invitee": "<string>",
"cancel_url": "<string>",
"reschedule_url": "<string>",
"payment": {
"external_id": "<string>",
"provider": "<string>",
"amount": 123,
"currency": "<string>",
"terms": "<string>",
"successful": true
},
"no_show": {
"uri": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"reconfirmation": {},
"scheduling_method": "instant_book",
"invitee_scheduled_by": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://calendly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
OK
Show child attributes
curl --request POST \
--url https://api.calendly.com/invitees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"invitee": {
"email": "jsmith@example.com",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timezone": "<string>"
},
"custom_questions": [
{}
],
"location": {},
"tracking": {}
}
'{
"resource": {
"uri": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"name": "<string>",
"status": "active",
"timezone": "<string>",
"event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tracking": {
"utm_campaign": "<string>",
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_content": "<string>",
"utm_term": "<string>",
"salesforce_uuid": "<string>"
},
"text_reminder_number": "<string>",
"rescheduled": true,
"old_invitee": "<string>",
"new_invitee": "<string>",
"cancel_url": "<string>",
"reschedule_url": "<string>",
"payment": {
"external_id": "<string>",
"provider": "<string>",
"amount": 123,
"currency": "<string>",
"terms": "<string>",
"successful": true
},
"no_show": {
"uri": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"reconfirmation": {},
"scheduling_method": "instant_book",
"invitee_scheduled_by": "<string>"
}
}